﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace prjPg477Num4And6
{
    public partial class frmMain : Form
    {
        public frmMain()
        {
            InitializeComponent();
        }

        private void btnAdd_Click(object sender, EventArgs e)
        {
            int NumberOne = 0;
            int NumberTwo = 0;
            int Answer = 0;

            NumberOne = Convert.ToInt32(txtFirstNum.Text);
            NumberTwo = Convert.ToInt32(txtSecondNum.Text);

            Answer = NumberOne + NumberTwo;
            lblAnswer.Text = Convert.ToString(Answer);
            lblAnswer.Visible = true;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            int NumberOne = 0;
            int NumberTwo = 0;
            int Answer = 0;

            NumberOne = Convert.ToInt32(txtFirstNum.Text);
            NumberTwo = Convert.ToInt32(txtSecondNum.Text);

            Answer = NumberOne * NumberTwo;
            lblAnswer.Text = Convert.ToString(Answer);
            lblAnswer.Visible = true;
        }

        private void txtFirstNum_TextChanged(object sender, EventArgs e)
        {
            string Str = txtFirstNum.Text.Trim();
            double Num;
            bool isNum = double.TryParse(Str, out Num);

            if (!isNum)
                txtFirstNum.Text = null;
        }

        private void txtSecondNum_TextChanged(object sender, EventArgs e)
        {
            string Str = txtSecondNum.Text.Trim();
            double Num;
            bool isNum = double.TryParse(Str, out Num);

            if (!isNum)
                txtSecondNum.Text = null;
        }

        private void btnShowName_Click(object sender, EventArgs e)
        {
            string FirstName;
            string LastName;
            string Title;

            FirstName = txtFirstName.Text;
            LastName = txtLastName.Text;
            Title = txtTitle.Text;

            lblFullName.Text = Title + " " + FirstName + " " + LastName;
            lblFullName.Visible = true;
        }

        private void btnClearAll_Click(object sender, EventArgs e)
        {
            lblAnswer.Visible = false;
            lblFullName.Visible = false;

            foreach (Control ctrl in tabPage1.Controls)
            {
                if (ctrl is TextBox)
                {
                    ((TextBox)(ctrl)).Text = null;
                }
            }

            foreach (Control ctrl in tabPage2.Controls)
            {
                if (ctrl is TextBox)
                {
                    ((TextBox)(ctrl)).Text = null;
                }
            }
        }
    }
}
